Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom
Class AbstractEntity

    java.lang.Object
      org.apache.batik.dom.AbstractNode
          org.apache.batik.dom.AbstractParentNode
              org.apache.batik.dom.AbstractEntity

All Implemented Interfaces:
  Serializable, NodeEventTarget, ExtendedNode, NodeXBL, XBLManagerData, Entity, EventTarget, Node

Direct Known Subclasses:
  GenericEntity

    public abstract class AbstractEntity

extends AbstractParentNode
implements Entity

This class implements the `Entity` interface.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.dom.AbstractParentNode
`AbstractParentNode.ChildNodes, AbstractParentNode.ElementsByTagName, AbstractParentNode.ElementsByTagNameNS`

Field Summary
`protected String` | `nodeName` The node name.
`protected String` | `publicId` The public id.
`protected String` | `systemId` The system id.

Fields inherited from class org.apache.batik.dom.AbstractParentNode
`childNodes`

Fields inherited from class org.apache.batik.dom.AbstractNode
`DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, EMPTY_NODE_LIST, eventSupport, managerData, ownerDocument, userData, userDataHandlers`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`AbstractEntity()`

Method Summary
`protected void` | `checkChildType(Node n, boolean replace)` Checks the validity of a node to be inserted.
`protected Node` | `copyInto(Node n)` Copy the fields of the current node into the given node.
`protected Node` | `deepCopyInto(Node n)` Deeply copy the fields of the current node into the given node.
`protected Node` | `deepExport(Node n, AbstractDocument d)` Deeply exports this node to the given document.
`protected Node` | `export(Node n, AbstractDocument d)` Exports this node to the given document.
`String` | `getInputEncoding()` DOM: Implements `Entity.getInputEncoding()`.
`String` | `getNodeName()` DOM: Implements `Node.getNodeName()`.
`short` | `getNodeType()` DOM: Implements `Node.getNodeType()`.
`String` | `getNotationName()` DOM: Implements `Entity.getNotationName()`.
`String` | `getPublicId()` DOM: Implements `Entity.getPublicId()`.
`String` | `getSystemId()` DOM: Implements `Entity.getSystemId()`.
`String` | `getXmlEncoding()` DOM: Implements `Entity.getXmlEncoding()`.
`String` | `getXmlVersion()` DOM: Implements `Entity.getXmlVersion()`.
`void` | `setNodeName(String v)` Sets the name of this node.
`void` | `setNotationName(String name)` Sets the notation name.
`void` | `setPublicId(String id)` Sets the public id.
`void` | `setSystemId(String id)` Sets the system id.

Methods inherited from class org.apache.batik.dom.AbstractParentNode
`appendChild, checkAndRemove, fireDOMNodeInsertedEvent, fireDOMNodeInsertedIntoDocumentEvent, fireDOMNodeRemovedEvent, fireDOMNodeRemovedFromDocumentEvent, fireDOMSubtreeModifiedEvent, getChildNodes, getElementsByTagName, getElementsByTagNameNS, getFirstChild, getLastChild, getTextContent, hasChildNodes, insertBefore, nodeAdded, nodeToBeRemoved, normalize, removeChild, replaceChild`

Methods inherited from class org.apache.batik.dom.AbstractNode
`addEventListener, addEventListenerNS, cloneNode, compareDocumentPosition, compareNamedNodeMaps, compareStrings, createDOMException, dispatchEvent, fireDOMCharacterDataModifiedEvent, fireUserDataHandlers, getAttributes, getBaseURI, getBaseURI, getCascadedXMLBase, getCurrentDocument, getEventSupport, getFeature, getLocalName, getManagerData, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getParentNodeEventTarget, getPrefix, getPreviousSibling, getUserData, getXblBoundElement, getXblChildNodes, getXblDefinitions, getXblFirstChild, getXblFirstElementChild, getXblLastChild, getXblLastElementChild, getXblNextElementSibling, getXblNextSibling, getXblParentNode, getXblPreviousElementSibling, getXblPreviousSibling, getXblScopedChildNodes, getXblShadowTree, hasAttributes, hasEventListenerNS, initializeEventSupport, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, lookupPrefix, newNode, removeEventListener, removeEventListenerNS, setManagerData, setNextSibling, setNodeValue, setOwnerDocument, setParentNode, setPrefix, setPreviousSibling, setSpecified, setTextContent, setUserData, willTriggerNS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Methods inherited from interface org.apache.batik.dom.ExtendedNode
`isReadonly, setReadonly`

Field Detail

### nodeName

    protected String nodeName

  The node name.

### publicId

    protected String publicId

  The public id.

### systemId

    protected String systemId

  The system id.

Constructor Detail

### AbstractEntity

    public AbstractEntity()

Method Detail

### getNodeType

    public short getNodeType()

  DOM: Implements `Node.getNodeType()`.

  Specified by:
    `getNodeType` in interface `Node`
  Returns:
    `Node.ENTITY_NODE`

### setNodeName

    public void setNodeName(String v)

  Sets the name of this node.

  Specified by:
    `setNodeName` in interface `ExtendedNode`
  Overrides:
    `setNodeName` in class `AbstractNode`

### getNodeName

    public String getNodeName()

  DOM: Implements `Node.getNodeName()`.

  Specified by:
    `getNodeName` in interface `Node`
  Returns:
    `nodeName`.

### getPublicId

    public String getPublicId()

  DOM: Implements `Entity.getPublicId()`.

  Specified by:
    `getPublicId` in interface `Entity`
  Returns:
    `publicId`.

### setPublicId

    public void setPublicId(String id)

  Sets the public id.

### getSystemId

    public String getSystemId()

  DOM: Implements `Entity.getSystemId()`.

  Specified by:
    `getSystemId` in interface `Entity`
  Returns:
    `systemId`.

### setSystemId

    public void setSystemId(String id)

  Sets the system id.

### getNotationName

    public String getNotationName()

  DOM: Implements `Entity.getNotationName()`.

  Specified by:
    `getNotationName` in interface `Entity`
  Returns:
    `getNodeName()`.

### setNotationName

    public void setNotationName(String name)

  Sets the notation name.

### getInputEncoding

    public String getInputEncoding()

  DOM: Implements `Entity.getInputEncoding()`.

  Specified by:
    `getInputEncoding` in interface `Entity`

### getXmlEncoding

    public String getXmlEncoding()

  DOM: Implements `Entity.getXmlEncoding()`.

  Specified by:
    `getXmlEncoding` in interface `Entity`

### getXmlVersion

    public String getXmlVersion()

  DOM: Implements `Entity.getXmlVersion()`.

  Specified by:
    `getXmlVersion` in interface `Entity`

### export

    protected Node export(Node n,
                          AbstractDocument d)

  Exports this node to the given document.

  Overrides:
    `export` in class `AbstractNode`

### deepExport

    protected Node deepExport(Node n,
                              AbstractDocument d)

  Deeply exports this node to the given document.

  Overrides:
    `deepExport` in class `AbstractParentNode`

### copyInto

    protected Node copyInto(Node n)

  Copy the fields of the current node into the given node.

  Overrides:
    `copyInto` in class `AbstractNode`
  Parameters:
    `n` - a node of the type of this.

### deepCopyInto

    protected Node deepCopyInto(Node n)

  Deeply copy the fields of the current node into the given node.

  Overrides:
    `deepCopyInto` in class `AbstractParentNode`
  Parameters:
    `n` - a node of the type of this.

### checkChildType

    protected void checkChildType(Node n,
                                  boolean replace)

  Checks the validity of a node to be inserted.

  Overrides:
    `checkChildType` in class `AbstractNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.